summaryrefslogtreecommitdiffstats
path: root/testing/bird/bird.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-06-07 15:06:38 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-06-07 15:08:34 +0000
commita9cae331dbb70acd5938b0fa6f95245229157882 (patch)
treeb14d35dfd92d03a42531a10366f772b622edb41b /testing/bird/bird.initd
parent1da792ee04c8f35d0a5e78bc5664eb2df86a833a (diff)
downloadaports-a9cae331dbb70acd5938b0fa6f95245229157882.tar.bz2
aports-a9cae331dbb70acd5938b0fa6f95245229157882.tar.xz
testing/bird: new aport
BIRD Internet Routing Daemon http://bird.network.cz/
Diffstat (limited to 'testing/bird/bird.initd')
-rw-r--r--testing/bird/bird.initd28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/bird/bird.initd b/testing/bird/bird.initd
new file mode 100644
index 000000000..f3b51aa43
--- /dev/null
+++ b/testing/bird/bird.initd
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+
+extra_started_commands="reload"
+
+name=bird
+command=/usr/sbin/$name
+
+sock="/var/run/$name.ctl"
+command_args="-c /etc/${name}.conf -s $sock"
+
+
+depend() {
+ need net
+ use logger
+ after firewall
+}
+
+start_pre() {
+ [ -f "/etc/$name.conf" ] && return 0
+ eerror "Please create /etc/$name.conf"
+ return 1
+}
+
+reload() {
+ ebegin "Reloading $name"
+ killall -HUP $command
+ eend $?
+}